---
title: Get user details
slug: get-user-details
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "8yE_nqxup15KZdfn9Bh5W",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/users/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/users/details"
      }
    ],
    "name": "Get user details",
    "description": "<p>Retrieve a single user by identifier. The endpoint tries the provided query parameters in the\nfollowing order until a match is found: <code>guid</code>, <code>systemId</code>, <code>email</code>, then both <code>name</code> and\n<code>surname</code>. At least one identifier must be provided, and when <code>name</code> or <code>surname</code> is used\nthey must be supplied together.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string<uuid>",
          "description": "User GUID. Checked first when provided.",
          "format": "uuid"
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "External system identifier. Checked if no GUID match."
        },
        {
          "kind": "optional",
          "name": "email",
          "type": "string<email>",
          "description": "User email. Checked if GUID and systemId do not match.",
          "format": "email"
        },
        {
          "kind": "optional",
          "name": "name",
          "type": "string",
          "description": "<p>User name. Used together with <code>surname</code> as the final fallback.</p>"
        },
        {
          "kind": "optional",
          "name": "surname",
          "type": "string",
          "description": "<p>User surname. Used together with <code>name</code> as the final fallback.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "User found",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// User found\n{\n  \"version\": 0,\n  \"name\": \"\",\n  \"surname\": \"\",\n  \"email\": \"\",\n  \"office\": \"\",\n  \"roles\": [\n    \"\"\n  ],\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\",\n  \"phone\": \"\",\n  \"jobTitle\": \"\",\n  \"warehouse\": \"\",\n  \"company_details\": \"\",\n  \"enabled\": false\n}"
          },
          {
            "label": "success",
            "code": "{\n  \"version\": 1420114332,\n  \"name\": \"Petras\",\n  \"surname\": \"Petras\",\n  \"email\": \"test@frontu.dev\",\n  \"office\": \"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\",\n  \"roles\": [\n    \"ROLE_ADMIN\",\n    \"ROLE_USER\"\n  ],\n  \"guid\": \"f889fbe9-9d9b-3c8a-8549-e321ee7e3e31\",\n  \"created\": \"2015-01-01T12:12:12+0000\",\n  \"updated\": \"2015-01-01T12:12:12+0000\",\n  \"deleted\": false,\n  \"systemId\": null,\n  \"phone\": \"+37011111111\",\n  \"jobTitle\": \"Technician\",\n  \"warehouse\": null,\n  \"company_details\": null,\n  \"enabled\": true,\n  \"driverId\": \"DRV001\"\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "surname",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "email",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "office",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "roles",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "phone",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "jobTitle",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "warehouse",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "company_details",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "enabled",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Missing required identifier",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "User not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ztfO-ZMcJ1Ev20gFIgwzK",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/users/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "fcJxeHqubaCJPibQzx_XZ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/users/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "WfxH8sLO5-PgxqTfjR4Xi",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/users/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Vwts2vKePQ7bGOD0FSVUH",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/users/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ztfO-ZMcJ1Ev20gFIgwzK"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// User found\n{\n  \"version\": 0,\n  \"name\": \"\",\n  \"surname\": \"\",\n  \"email\": \"\",\n  \"office\": \"\",\n  \"roles\": [\n    \"\"\n  ],\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\",\n  \"phone\": \"\",\n  \"jobTitle\": \"\",\n  \"warehouse\": \"\",\n  \"company_details\": \"\",\n  \"enabled\": false\n}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// User found\n{\n  \"version\": 0,\n  \"name\": \"\",\n  \"surname\": \"\",\n  \"email\": \"\",\n  \"office\": \"\",\n  \"roles\": [\n    \"\"\n  ],\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\",\n  \"phone\": \"\",\n  \"jobTitle\": \"\",\n  \"warehouse\": \"\",\n  \"company_details\": \"\",\n  \"enabled\": false\n}"
            },
            {
              "label": "success",
              "code": "{\n  \"version\": 1420114332,\n  \"name\": \"Petras\",\n  \"surname\": \"Petras\",\n  \"email\": \"test@frontu.dev\",\n  \"office\": \"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\",\n  \"roles\": [\n    \"ROLE_ADMIN\",\n    \"ROLE_USER\"\n  ],\n  \"guid\": \"f889fbe9-9d9b-3c8a-8549-e321ee7e3e31\",\n  \"created\": \"2015-01-01T12:12:12+0000\",\n  \"updated\": \"2015-01-01T12:12:12+0000\",\n  \"deleted\": false,\n  \"systemId\": null,\n  \"phone\": \"+37011111111\",\n  \"jobTitle\": \"Technician\",\n  \"warehouse\": null,\n  \"company_details\": null,\n  \"enabled\": true,\n  \"driverId\": \"DRV001\"\n}"
            }
          ]
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Missing required identifier\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// User not found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}